<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{736DF121-11E6-4D46-835D-6560ACF241E4}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MTC_Adapter</RootNamespace>
    <AssemblyName>MTC_Adapter</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <TargetFrameworkProfile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <UseVSHostingProcess>true</UseVSHostingProcess>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>Resources\MTCA.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'CMS-FANUC|AnyCPU' ">
    <OutputPath>bin\CMS-FANUC\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'SCM-ESA|AnyCPU' ">
    <OutputPath>bin\SCM-ESA\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'CMS-SIEMENS|AnyCPU'">
    <OutputPath>bin\CMS-SIEMENS\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'CMS-OSAI|AnyCPU'">
    <OutputPath>bin\CMS-OSAI\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DotNetAdapterSDK, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>ExtLib\DotNetAdapterSDK.dll</HintPath>
    </Reference>
    <Reference Include="NLog, Version=4.0.0.0, Culture=neutral, PublicKeyToken=5120e14c03d0593c, processorArchitecture=MSIL">
      <HintPath>..\packages\NLog.4.4.4\lib\net45\NLog.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Numerics" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\VersGen\VersGen.cs">
      <Link>VersGen.cs</Link>
    </Compile>
    <Compile Include="AdapterConf.cs" />
    <Compile Include="AdapterESA.cs" />
    <Compile Include="AdapterOsai.cs" />
    <Compile Include="AdapterSiemens.cs" />
    <Compile Include="AdapterGeneric.cs" />
    <Compile Include="AdapterDemo.cs" />
    <Compile Include="AdapterFanuc.cs" />
    <Compile Include="MainForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MainForm.Designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="EnumExtensions.cs" />
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SetupAdapter.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="SetupAdapter.Designer.cs">
      <DependentUpon>SetupAdapter.cs</DependentUpon>
    </Compile>
    <Compile Include="utils.cs" />
    <EmbeddedResource Include="MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <EmbeddedResource Include="SetupAdapter.resx">
      <DependentUpon>SetupAdapter.cs</DependentUpon>
    </EmbeddedResource>
    <None Include="Resources\CMS\Appunti CMS OSAI.txt" />
    <None Include="Resources\CMS\OSAI.xml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Resources\CMS\SIEMENS.xml">
      <SubType>Designer</SubType>
    </None>
    <Content Include="Resources\SCM\SCM_ESA.xml" />
    <Content Include="Readme\Analisi tempi.txt" />
    <None Include="App.CMS-OSAI.config">
      <DependentUpon>App.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="App.CMS-SIEMENS.config">
      <DependentUpon>App.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="DATA\CONF\AlarmListCNC.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\CounterList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="App.CMS-FANUC.config">
      <DependentUpon>App.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="App.SCM-ESA.config">
      <DependentUpon>App.config</DependentUpon>
      <SubType>Designer</SubType>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="DATA\CmsGeneralStatus.mtc" />
    <None Include="DATA\CONF\EsaKvara.ini" />
    <None Include="DATA\CONF\IOT_ByteList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\IOT_DWordList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\IOT_StringList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="DATA\CONF\IOT_WordList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="NLog.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Resources\CMS\AlarmListOSAI.map" />
    <None Include="Resources\CMS\AlarmListEmpty.map" />
    <None Include="Resources\CMS\CounterListOSAI.map" />
    <None Include="Resources\CMS\CounterListFANUC.map" />
    <None Include="Resources\CMS\CounterListSIEMENS.map" />
    <None Include="Resources\CMS\StatusListSIEMENS.map" />
    <None Include="Resources\CMS\StatusListOSAI.map" />
    <None Include="Resources\CMS\StatusListFANUC.map" />
    <None Include="Resources\SCM\AlarmListEsaGvCNC.map" />
    <None Include="Resources\SCM\cnc.msg" />
    <None Include="Resources\SCM\IOT_StringList.map" />
    <None Include="Resources\SCM\IOT_DWordList.map" />
    <None Include="Resources\SCM\IOT_WordList.map" />
    <None Include="DATA\CONF\StatusList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <Content Include="DATA\CONF\Adapter_ItemList.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      <SubType>Designer</SubType>
    </Content>
    <Content Include="ExtLib\DotNetAdapterSDK.dll" />
    <None Include="Resources\CMS\probe.xml">
      <SubType>Designer</SubType>
    </None>
    <None Include="Resources\SCM\IOT_ByteList.map" />
    <None Include="packages.config" />
    <None Include="Resources\CMS\AlarmListSIEMENS.map" />
    <None Include="Resources\SCM\AlarmListEsaGv.map" />
    <Content Include="Resources\SCM\Appunti doc CFG.txt" />
    <Content Include="Resources\SCM\Appunti SCM.txt" />
    <Content Include="Resources\SCM\DecodFileProd.txt" />
    <Content Include="Resources\SCM\IstruzioniTestProd.txt" />
    <Content Include="Resources\SCM\README.txt" />
    <Content Include="Resources\SCM\scm_logo_blu.png" />
    <Content Include="Resources\SCM\scm_logo_blu_resize.png" />
    <Content Include="Resources\SCM\VariabiliContatori.txt" />
    <None Include="Resources\CMS\CMS.ico" />
    <Content Include="dump\dump.exe">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="logs\.placeholder.txt">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Resources\SCM\SCM.ico" />
    <Content Include="Resources\MTCA.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <None Include="DATA\CONF\SubModeList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <Content Include="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <None Include="App.Debug.config">
      <DependentUpon>App.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="App.Release.config">
      <DependentUpon>App.config</DependentUpon>
      <IsTransformFile>True</IsTransformFile>
    </None>
    <None Include="DATA\DAT\PersistData.dat">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="Resources\SCM\app.msg" />
    <None Include="Resources\SCM\convertScmAlarm.ps1" />
    <Content Include="Resources\SCM\EsaKvara_SIM.ini" />
    <None Include="dump\build.bat" />
    <None Include="dump\dump.c" />
    <None Include="dump\dump.obj" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Content Include="Resources\SCM\EsaKvara_PROD.ini" />
    <None Include="Resources\SCM\SCM_prodFile.pro" />
    <Content Include="Resources\SCM\SCM_prodFile-demo.pro" />
    <None Include="setupTgt.bat" />
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config">
      <SubType>Designer</SubType>
      <TransformOnBuild>true</TransformOnBuild>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CMSCncLib\CMSCncLib.vbproj">
      <Project>{2d769ffd-1122-4276-a115-29246e6d23c5}</Project>
      <Name>CMSCncLib</Name>
    </ProjectReference>
    <ProjectReference Include="..\MTC\MTC.csproj">
      <Project>{ec83d80e-9f3b-4de9-b16a-ca216543b7ec}</Project>
      <Name>MTC</Name>
    </ProjectReference>
    <ProjectReference Include="..\SCMCncLib\SCMCncLib.csproj">
      <Project>{7a12fe26-9c58-4630-973d-d4872374dbaf}</Project>
      <Name>SCMCncLib</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\CMS\FANUC.xml">
      <SubType>Designer</SubType>
    </None>
    <None Include="DATA\CONF\AlarmList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Include="Resources\CMS\AlarmListFANUC.map" />
    <None Include="Resources\CMS\Appunti CMS FANUC.txt" />
    <None Include="DATA\CONF\HaltTypeList.map">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.5.2">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4.5.2 %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <UsingTask TaskName="TransformXml" AssemblyFile="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)\Web\Microsoft.Web.Publishing.Tasks.dll" />
  <Target Name="AfterCompile" Condition="Exists('App.$(Configuration).config')">
    <!--Generate transformed app config in the intermediate directory-->
    <TransformXml Source="App.config" Destination="$(IntermediateOutputPath)$(TargetFileName).config" Transform="App.$(Configuration).config" />
    <!--Force build process to use the transformed configuration file from now on.-->
    <ItemGroup>
      <AppConfigWithTargetPath Remove="App.config" />
      <AppConfigWithTargetPath Include="$(IntermediateOutputPath)$(TargetFileName).config">
        <TargetPath>$(TargetFileName).config</TargetPath>
      </AppConfigWithTargetPath>
    </ItemGroup>
  </Target>
  <PropertyGroup>
    <PreBuildEvent>"$(ProjectDir)setupTgt.bat" "$(ConfigurationName)" "$(ProjectDir)"</PreBuildEvent>
  </PropertyGroup>
  <!--Override After Publish to support ClickOnce AfterPublish. Target replaces the untransformed config file copied to the deployment directory with the transformed one.-->
  <Target Name="AfterPublish">
    <PropertyGroup>
      <DeployedConfig>$(_DeploymentApplicationDir)$(TargetName)$(TargetExt).config$(_DeploymentFileMappingExtension)</DeployedConfig>
    </PropertyGroup>
    <!--Publish copies the untransformed App.config to deployment directory so overwrite it-->
    <Copy Condition="Exists('$(DeployedConfig)')" SourceFiles="$(IntermediateOutputPath)$(TargetFileName).config" DestinationFiles="$(DeployedConfig)" />
  </Target>
  <Target Name="AfterBuild">
    <ItemGroup>
      <MoveToLibFolder Include="$(OutputPath)*.dll ; $(OutputPath)*.pdb ; $(OutputPath)*.xml" />
    </ItemGroup>
    <Move SourceFiles="@(MoveToLibFolder)" DestinationFolder="$(OutputPath)lib" OverwriteReadOnlyFiles="true" />
  </Target>
  <Import Project="..\packages\SlowCheetah.2.5.48\build\SlowCheetah.targets" Condition="Exists('..\packages\SlowCheetah.2.5.48\build\SlowCheetah.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>Questo progetto fa riferimento a uno o più pacchetti NuGet che non sono presenti in questo computer. Usare lo strumento di ripristino dei pacchetti NuGet per scaricarli. Per altre informazioni, vedere http://go.microsoft.com/fwlink/?LinkID=322105. Il file mancante è {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\packages\SlowCheetah.2.5.48\build\SlowCheetah.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\packages\SlowCheetah.2.5.48\build\SlowCheetah.targets'))" />
  </Target>
</Project>